curl --request GET \
--url https://api.catalogkg.igvf.org/api/proteins/motifsimport requests
url = "https://api.catalogkg.igvf.org/api/proteins/motifs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.catalogkg.igvf.org/api/proteins/motifs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"source": "<string>",
"protein": "<string>",
"complex": "<string>",
"motif": "<string>",
"class": "<string>",
"method": "<string>",
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Proteins Motifs
Retrieve motifs for proteins.
Set verbose = true to retrieve full info on the motifs.
Protein IDs support the following formats: ENSP00000384707.1 or ENSP00000384707 (Ensembl IDs) or P49711-2 (Uniprot ids)
method can be either HOCOMOCO or SEMpl; if not provided, both methods are searched.
The limit parameter controls the page size and can not exceed 1000.
Pagination is 0-based.
Examples by method
These examples are grouped by method; use the method filter to return data from a specific method.
HOCOMOCO:
query by protein identifier
- protein_id = ENSP00000384707
- method = HOCOMOCO
query by files_fileset
Each files_fileset maps to at most one method, so a method filter is usually not necessary.
- files_fileset = IGVFFI1626MMBD
- method = HOCOMOCO
SEMpl:
query by protein identifier
- protein_id = ENSP00000384707
- method = SEMpl
query by files_fileset
Each files_fileset maps to at most one method, so a method filter is usually not necessary.
- files_fileset = IGVFFI5279OTVZ
- method = SEMpl
curl --request GET \
--url https://api.catalogkg.igvf.org/api/proteins/motifsimport requests
url = "https://api.catalogkg.igvf.org/api/proteins/motifs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.catalogkg.igvf.org/api/proteins/motifs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"source": "<string>",
"protein": "<string>",
"complex": "<string>",
"motif": "<string>",
"class": "<string>",
"method": "<string>",
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
HOCOMOCO, SEMpl Homo sapiens true, false